# Generated by makepkg 7.1.0
# using fakeroot version 1.37.2
pkgname = matrix-synapse
pkgbase = matrix-synapse
xdata = pkgtype=pkg
pkgver = 1.157.2-1
pkgdesc = Matrix reference homeserver
url = https://github.com/element-hq/synapse
builddate = 1785690295
packager = LemonPie <lemonpie@artixlinux.org>
size = 41431767
arch = x86_64
license = AGPL-3.0-or-later
backup = etc/synapse/log_config.yaml
depend = libgcc
depend = glibc
depend = libwebp
depend = python
depend = python-ijson
depend = python-jsonschema
depend = python-twisted
depend = python-pyopenssl
depend = python-yaml
depend = python-pyasn1
depend = python-pyasn1-modules
depend = python-pynacl
depend = python-bcrypt
depend = python-immutabledict
depend = python-pillow
depend = python-pysaml2
depend = python-pydantic
depend = python-unpaddedbase64
depend = python-canonicaljson
depend = python-signedjson
depend = python-pymacaroons
depend = python-service-identity
depend = python-msgpack
depend = python-phonenumbers
depend = python-prometheus_client
depend = python-attrs
depend = python-netaddr
depend = python-sortedcontainers
depend = python-pyparsing
depend = python-pyrsistent
depend = python-treq
depend = python-idna
depend = python-jinja
depend = python-matrix-common
depend = python-bleach
depend = python-typing_extensions
depend = python-python-multipart
optdepend = perl: sync_room_to_group.pl
optdepend = python-psycopg2: PostgreSQL support
optdepend = python-lxml: URL previewing
optdepend = python-psutil: metrics
optdepend = python-pyjwt: jwt
optdepend = python-txredisapi: redis
optdepend = python-hiredis
optdepend = python-pyicu: Improve user search for international display names
optdepend = python-authlib: OpenID SSO support
makedepend = git
makedepend = python-build
makedepend = python-installer
makedepend = python-wheel
makedepend = python-poetry-core
makedepend = python-maturin
checkdepend = python-pip
checkdepend = python-authlib
checkdepend = python-pyjwt
checkdepend = python-lxml
checkdepend = python-parameterized
checkdepend = python-txredisapi
checkdepend = python-hiredis
checkdepend = postgresql
checkdepend = python-pyicu
